import 'package:bui_component/CommonComponent/CommonComponent.dart';
import 'package:example/Constants/AppStrings.dart';
import 'package:example/Constants/ImageAssets.dart';
import 'package:example/Constants/SvgPictures.dart';
import 'package:flutter/material.dart';

class NoInternetScreen extends StatefulWidget {
  const NoInternetScreen({Key key}) : super(key: key);

  @override
  _NoInternetScreenState createState() => _NoInternetScreenState();
}

class _NoInternetScreenState extends State<NoInternetScreen> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
          body: CommonComponent(
        svgPictureImage: SvgPictures.NO_INTERNET,
        updateText: AppStrings.NO_INTERNET,
        buttonText: "Retry",
        title: "No internet",
        isLeadingIconTrue: true,
        height: 200,
        width: 200,
        secondaryColor: Colors.red,
        primaryColor: Colors.blue,
        padding: 5,
        backPressed: () {},
        actionUpdate: () {},
        gifAnimated: Image.asset(ImageAssets.LOADER_GIF),
      )),
    );
  }
}
